<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1settings.html">settings</a></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1settings_1_1_setting_interface.html">SettingInterface</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">alexaClientSDK::settings::SettingInterface&lt; ValueT &gt; Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classalexa_client_s_d_k_1_1settings_1_1_setting_interface.html">alexaClientSDK::settings::SettingInterface&lt; ValueT &gt;</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1settings_1_1_setting_interface.html#aafcf4c4bdb2afe20a9b26648484b5f70">addObserver</a>(std::shared_ptr&lt; ObserverType &gt; observer)</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1settings_1_1_setting_interface.html">alexaClientSDK::settings::SettingInterface&lt; ValueT &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1settings_1_1_setting_interface.html#a12421c86bb8fab5218c5d4dbdd4fdf20">get</a>() const</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1settings_1_1_setting_interface.html">alexaClientSDK::settings::SettingInterface&lt; ValueT &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1settings_1_1_setting_interface.html#ad2e51acb29ec4de6cfca094e5e871a1c">GuardedValue</a> typedef</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1settings_1_1_setting_interface.html">alexaClientSDK::settings::SettingInterface&lt; ValueT &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1settings_1_1_setting_interface.html#a4e42d592da8a88af34fbd35902a5cb84">m_observerMutex</a></td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1settings_1_1_setting_interface.html">alexaClientSDK::settings::SettingInterface&lt; ValueT &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1settings_1_1_setting_interface.html#a5104c758d4c654e3940692035718b997">m_observers</a></td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1settings_1_1_setting_interface.html">alexaClientSDK::settings::SettingInterface&lt; ValueT &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1settings_1_1_setting_interface.html#a0157ca24ccc6f088864ceedcd458bdb4">m_value</a></td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1settings_1_1_setting_interface.html">alexaClientSDK::settings::SettingInterface&lt; ValueT &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1settings_1_1_setting_interface.html#a1b7a51d0c65e32725b45e959086ad73a">notifyObservers</a>(SettingNotifications notification)</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1settings_1_1_setting_interface.html">alexaClientSDK::settings::SettingInterface&lt; ValueT &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1settings_1_1_setting_interface.html#a3157e9ad281e270e4fafa721977645c5">ObserverType</a> typedef</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1settings_1_1_setting_interface.html">alexaClientSDK::settings::SettingInterface&lt; ValueT &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1settings_1_1_setting_interface.html#aea3aa5f2529adbbd55bf6f578a5c6d25">removeObserver</a>(std::shared_ptr&lt; ObserverType &gt; &amp;observer)</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1settings_1_1_setting_interface.html">alexaClientSDK::settings::SettingInterface&lt; ValueT &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1settings_1_1_setting_interface.html#a71279bdc081594ac478f5680cbfbf83f">setLocalChange</a>(const ValueType &amp;value)=0</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1settings_1_1_setting_interface.html">alexaClientSDK::settings::SettingInterface&lt; ValueT &gt;</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1settings_1_1_setting_interface.html#a98a48c39bc508f7a405283273acd84a8">SettingInterface</a>(const ValueType &amp;value)</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1settings_1_1_setting_interface.html">alexaClientSDK::settings::SettingInterface&lt; ValueT &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1settings_1_1_setting_interface.html#ad7cd5426acdf5103db1e03dfd4a51ab3">ValueType</a> typedef</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1settings_1_1_setting_interface.html">alexaClientSDK::settings::SettingInterface&lt; ValueT &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1settings_1_1_setting_interface.html#a1a7f6cdc887544b8a1e0e32e209d73cd">~SettingInterface</a>()=default</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1settings_1_1_setting_interface.html">alexaClientSDK::settings::SettingInterface&lt; ValueT &gt;</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
</table></div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
